### Function Macro

# GObject DEFINE_POINTER_TYPE

since: 2.26

#### Declaration [src]

    #define G_DEFINE_POINTER_TYPE (
      TypeName,
      type_name
    )

#### Description [src]

A convenience macro for pointer type implementations, which defines a `type_name_get_type()` function registering the pointer type.

Available since: 2.26

This function is not directly available to language bindings.

#### Parameters

`TypeName`

  Type: `-`

  The name of the new type, in Camel case.

`type_name`

  Type: `-`

  The name of the new type, in lowercase, with words separated by `_`.